- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libcdr::CDROutputElement Class Referenceabstract
Inheritance diagram for libcdr::CDROutputElement:

## Public Member Functions
| CDROutputElement ()
virtual | ~CDROutputElement ()
virtual void | draw (libwpg::WPGPaintInterface *painter)=0
virtual CDROutputElement * | clone ()=0

## Constructor & Destructor Documentation

libcdr::CDROutputElement::CDROutputElement | ( |  | ) |
| inline

virtual libcdr::CDROutputElement::~CDROutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual CDROutputElement* libcdr::CDROutputElement::clone | ( |  | ) |
| pure virtual

Implemented in libcdr::CDREndTextObjectOutputElement, libcdr::CDREndTextLineOutputElement, libcdr::CDREndTextSpanOutputElement, libcdr::CDRInsertTextOutputElement, libcdr::CDRStartTextSpanOutputElement, libcdr::CDRStartTextLineOutputElement, libcdr::CDRStartTextObjectOutputElement, libcdr::CDRGraphicObjectOutputElement, libcdr::CDRPathOutputElement, and libcdr::CDRStyleOutputElement.

virtual void libcdr::CDROutputElement::draw | ( | libwpg::WPGPaintInterface * | painter | ) |
| pure virtual

Implemented in libcdr::CDREndTextObjectOutputElement, libcdr::CDREndTextLineOutputElement, libcdr::CDREndTextSpanOutputElement, libcdr::CDRInsertTextOutputElement, libcdr::CDRStartTextSpanOutputElement, libcdr::CDRStartTextLineOutputElement, libcdr::CDRStartTextObjectOutputElement, libcdr::CDRGraphicObjectOutputElement, libcdr::CDRPathOutputElement, and libcdr::CDRStyleOutputElement.

The documentation for this class was generated from the following file:

- CDROutputElementList.cpp